package com.jasamedika.medifirst2000.service.impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.jasamedika.medifirst2000.dao.PelaksanaDao;
import com.jasamedika.medifirst2000.service.PelaksanaService;
import com.jasamedika.medifirst2000.util.CommonUtil;

@Service("pelaksanaService")
public class PelaksanaServiceImpl extends BaseVoServiceImpl implements PelaksanaService {

	@Autowired
	private PelaksanaDao pelaksanaDao;
	
	@Override
	public Map<String,Object> getJenisPetugasPelaksana() {
		Map<String,Object> result = new HashMap<>();
		List<Map<String, Object>> listData = pelaksanaDao.getJenisPetugasPelaksana();
		if(CommonUtil.isNotNullOrEmpty(listData)){
			result.put("listData", listData);
		}
		return result;
	}

}
